#define MONEY_MIN 0
#define MONEY_MAX 1000000000000000.00
const char *zero = "\xd0\xbd\xd0\xbe\xd0\xbb\xd1\x8c\x20";
enum {
	SINGLE,
	COUPLE,
	SEVERAL
};
enum {
	UNIT,
	THOUSAND,
	MILLION,
	BILLION,
	TRILLION
};
const char *kopeck[] = {
	[SINGLE] = "\xd0\xba\xd0\xbe\xd0\xbf\xd0\xb5\xd0\xb9\xd0\xba\xd0\xb0",
	[COUPLE] = "\xd0\xba\xd0\xbe\xd0\xbf\xd0\xb5\xd0\xb9\xd0\xba\xd0\xb8",
	[SEVERAL] = "\xd0\xba\xd0\xbe\xd0\xbf\xd0\xb5\xd0\xb5\xd0\xba"
};
const char *ruble[][3] = {
	[UNIT] = {
		[SINGLE] = "\xd1\x80\xd1\x83\xd0\xb1\xd0\xbb\xd1\x8c ",
		[COUPLE] = "\xd1\x80\xd1\x83\xd0\xb1\xd0\xbb\xd1\x8f ",
		[SEVERAL] = "\xd1\x80\xd1\x83\xd0\xb1\xd0\xbb\xd0\xb5\xd0\xb9 "
	},
	[THOUSAND] = {
		[SINGLE] = "\xd1\x82\xd1\x8b\xd1\x81\xd1\x8f\xd1\x87\xd0\xb0 ",
		[COUPLE] = "\xd1\x82\xd1\x8b\xd1\x81\xd1\x8f\xd1\x87\xd0\xb8 ",
		[SEVERAL] = "\xd1\x82\xd1\x8b\xd1\x81\xd1\x8f\xd1\x87 "
	},
	[MILLION] = {
		[SINGLE] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd ",
		[COUPLE] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd\xd0\xb0 ",
		[SEVERAL] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd\xd0\xbe\xd0\xb2 "
	},
	[BILLION] = {
		[SINGLE] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xb0\xd1\x80\xd0\xb4 ",
		[COUPLE] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xb0\xd1\x80\xd0\xb4\xd0\xb0 ",
		[SEVERAL] = "\xd0\xbc\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xb0\xd1\x80\xd0\xb4\xd0\xbe\xd0\xb2 "
	},
	[TRILLION] = {
		[SINGLE] = "\xd1\x82\xd1\x80\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd ",
		[COUPLE] = "\xd1\x82\xd1\x80\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd\xd0\xb0 ",
		[SEVERAL] = "\xd1\x82\xd1\x80\xd0\xb8\xd0\xbb\xd0\xbb\xd0\xb8\xd0\xbe\xd0\xbd\xd0\xbe\xd0\xb2 "
	}
};
const char *hundreds[] = {
	"","\xd1\x81\xd1\x82\xd0\xbe ","\xd0\xb4\xd0\xb2\xd0\xb5\xd1\x81\xd1\x82\xd0\xb8 ","\xd1\x82\xd1\x80\xd0\xb8\xd1\x81\xd1\x82\xd0\xb0 ","\xd1\x87\xd0\xb5\xd1\x82\xd1\x8b\xd1\x80\xd0\xb5\xd1\x81\xd1\x82\xd0\xb0 ","\xd0\xbf\xd1\x8f\xd1\x82\xd1\x8c\xd1\x81\xd0\xbe\xd1\x82 ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd1\x8c\xd1\x81\xd0\xbe\xd1\x82 ","\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c\xd1\x81\xd0\xbe\xd1\x82 ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c\xd1\x81\xd0\xbe\xd1\x82 ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd1\x82\xd1\x8c\xd1\x81\xd0\xbe\xd1\x82 "
};
const char *funits[] = {
	"","\xd0\xbe\xd0\xb4\xd0\xbd\xd0\xb0 ","\xd0\xb4\xd0\xb2\xd0\xb5 ","\xd1\x82\xd1\x80\xd0\xb8 ","\xd1\x87\xd0\xb5\xd1\x82\xd1\x8b\xd1\x80\xd0\xb5 ","\xd0\xbf\xd1\x8f\xd1\x82\xd1\x8c ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd1\x8c ","\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82\xd1\x8c ","\xd0\xbe\xd0\xb4\xd0\xb8\xd0\xbd\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb2\xd0\xb5\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x82\xd1\x80\xd0\xb8\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x87\xd0\xb5\xd1\x82\xd1\x8b\xd1\x80\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xbf\xd1\x8f\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x81\xd0\xb5\xd0\xbc\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c "
};
const char *munits[] = {
	"","\xd0\xbe\xd0\xb4\xd0\xb8\xd0\xbd ","\xd0\xb4\xd0\xb2\xd0\xb0 ","\xd1\x82\xd1\x80\xd0\xb8 ","\xd1\x87\xd0\xb5\xd1\x82\xd1\x8b\xd1\x80\xd0\xb5 ","\xd0\xbf\xd1\x8f\xd1\x82\xd1\x8c ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd1\x8c ","\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82\xd1\x8c ","\xd0\xbe\xd0\xb4\xd0\xb8\xd0\xbd\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb2\xd0\xb5\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x82\xd1\x80\xd0\xb8\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x87\xd0\xb5\xd1\x82\xd1\x8b\xd1\x80\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xbf\xd1\x8f\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x81\xd0\xb5\xd0\xbc\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd1\x82\xd0\xbd\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c "
};
const char *tens[] = {
	"","","\xd0\xb4\xd0\xb2\xd0\xb0\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x82\xd1\x80\xd0\xb8\xd0\xb4\xd1\x86\xd0\xb0\xd1\x82\xd1\x8c ","\xd1\x81\xd0\xbe\xd1\x80\xd0\xbe\xd0\xba ","\xd0\xbf\xd1\x8f\xd1\x82\xd1\x8c\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82 ","\xd1\x88\xd0\xb5\xd1\x81\xd1\x82\xd1\x8c\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82 ","\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82 ","\xd0\xb2\xd0\xbe\xd1\x81\xd0\xb5\xd0\xbc\xd1\x8c\xd0\xb4\xd0\xb5\xd1\x81\xd1\x8f\xd1\x82 ","\xd0\xb4\xd0\xb5\xd0\xb2\xd1\x8f\xd0\xbd\xd0\xbe\xd1\x81\xd1\x82\xd0\xbe "
};
